Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 528665 (CVE-2009-2979, CVE-2009-2988, CVE-2009-3431) - CVE-2009-2979 CVE-2009-2988 CVE-2009-3431 acroread: Multiple DoS fixes in 8.1.7 (APSB09-15)
Summary: CVE-2009-2979 CVE-2009-2988 CVE-2009-3431 acroread: Multiple DoS fixes in 8.1...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-2979, CVE-2009-2988, CVE-2009-3431
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://www.adobe.com/support/security...
Whiteboard:
Depends On: 528074 528075 528076
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-13 09:10 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-15 07:42:07 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1499 0 normal SHIPPED_LIVE Critical: acroread security update 2009-10-14 15:36:28 UTC

Description Jan Lieskovsky 2009-10-13 09:10:28 UTC
Adobe has published a security bulletin APSB09-15 for security issues 
leading to denial of service, addressed in Adobe Reader and Acrobat products:

  http://www.adobe.com/support/security/bulletins/apsb09-15.html

Quoting Adobe bulletin APSB09-15 for issues descriptions:

  This update resolves a XMP-XML entity expansion issue that could lead to
  a Denial of Service (DoS) attack (CVE-2009-2979).
  
  This update resolves an input validation issue that could lead to a Denial
  of Service (DoS) issue (CVE-2009-2988).

  This update resolves an integer overflow in Acrobat that leads to a Denial
  of Service (DoS) (CVE-2009-2995).

  This update resolves a stack overflow issue that could potentially lead
  to a Denial of Service (DoS) attack (CVE-2009-3431).

Comment 4 Vincent Danen 2009-10-14 00:33:06 UTC
According to the bulletin:

This update resolves an integer overflow in that leads to a Denial of Service (DoS). This issue is specific to Acrobat and does not affect Adobe Reader. (CVE-2009-2995).

So CVE-2009-2995 is not applicable here.

Comment 6 errata-xmlrpc 2009-10-14 15:36:36 UTC
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1499 https://rhn.redhat.com/errata/RHSA-2009-1499.html


Note You need to log in before you can comment on or make changes to this bug.